| Irrlicht 3D Engine |

Public Member Functions
irr::scene::IIndexBuffer Class Reference

`#include <IIndexBuffer.h>`

Inheritance diagram for irr::scene::IIndexBuffer:

List of all members.

## Public Member Functions

- virtual u32 allocated_size () const =0
- virtual u32 getChangedID () const =0
    Get the currently used ID for identification of changes.
- virtual void * getData ()=0
- virtual E_HARDWARE_MAPPING getHardwareMappingHint () const =0
    get the current hardware mapping hint
- virtual u32 getLast ()=0
- virtual video::E_INDEX_TYPE getType () const =0
- virtual u32 operator[] (u32 index) const =0
- virtual void * pointer ()=0
- virtual void push_back (const u32 &element)=0
- virtual void reallocate (u32 new_size)=0
- virtual void set_used (u32 usedNow)=0
- virtual void setDirty ()=0
    flags the meshbuffer as changed, reloads hardware buffers
- virtual void setHardwareMappingHint (E_HARDWARE_MAPPING NewMappingHint)=0
    set the hardware mapping hint, for driver
- virtual void setType (video::E_INDEX_TYPE IndexType)=0
- virtual void setValue (u32 index, u32 value)=0
- virtual u32 size () const =0
- virtual u32 stride () const =0

## Detailed Description

Definition at line 24 of file IIndexBuffer.h.

## Member Function Documentation

virtual u32 irr::scene::IIndexBuffer::allocated_size | ( |  | ) | const`[pure virtual]`

Implemented in irr::scene::CIndexBuffer.

virtual u32 irr::scene::IIndexBuffer::getChangedID | ( |  | ) | const`[pure virtual]`

Get the currently used ID for identification of changes.

This shouldn't be used for anything outside the VideoDriver.

Implemented in irr::scene::CIndexBuffer.

Referenced by irr::scene::IDynamicMeshBuffer::getChangedID_Index().

virtual void* irr::scene::IIndexBuffer::getData | ( |  | ) | `[pure virtual]`

Implemented in irr::scene::CIndexBuffer.

Referenced by irr::scene::IDynamicMeshBuffer::getIndices().

virtual E_HARDWARE_MAPPING irr::scene::IIndexBuffer::getHardwareMappingHint | ( |  | ) | const`[pure virtual]`

get the current hardware mapping hint

Implemented in irr::scene::CIndexBuffer.

Referenced by irr::scene::IDynamicMeshBuffer::getHardwareMappingHint_Index().

virtual u32 irr::scene::IIndexBuffer::getLast | ( |  | ) | `[pure virtual]`

Implemented in irr::scene::CIndexBuffer.

virtual video::E_INDEX_TYPE irr::scene::IIndexBuffer::getType | ( |  | ) | const`[pure virtual]`

Implemented in irr::scene::CIndexBuffer.

Referenced by irr::scene::CIndexBuffer::CIndexBuffer(), and irr::scene::IDynamicMeshBuffer::getIndexType().

virtual u32 irr::scene::IIndexBuffer::operator[] | ( | u32 | index | ) | const`[pure virtual]`

Implemented in irr::scene::CIndexBuffer.

virtual void* irr::scene::IIndexBuffer::pointer | ( |  | ) | `[pure virtual]`

Implemented in irr::scene::CIndexBuffer.

virtual void irr::scene::IIndexBuffer::push_back | ( | const u32 & | element | ) | `[pure virtual]`

Implemented in irr::scene::CIndexBuffer.

virtual void irr::scene::IIndexBuffer::reallocate | ( | u32 | new_size | ) | `[pure virtual]`

Implemented in irr::scene::CIndexBuffer.

virtual void irr::scene::IIndexBuffer::set_used | ( | u32 | usedNow | ) | `[pure virtual]`

Implemented in irr::scene::CIndexBuffer.

virtual void irr::scene::IIndexBuffer::setDirty | ( |  | ) | `[pure virtual]`

flags the meshbuffer as changed, reloads hardware buffers

Implemented in irr::scene::CIndexBuffer.

Referenced by irr::scene::IDynamicMeshBuffer::setDirty().

virtual void irr::scene::IIndexBuffer::setHardwareMappingHint | ( | E_HARDWARE_MAPPING | NewMappingHint | ) | `[pure virtual]`

set the hardware mapping hint, for driver

Implemented in irr::scene::CIndexBuffer.

Referenced by irr::scene::IDynamicMeshBuffer::setHardwareMappingHint().

virtual void irr::scene::IIndexBuffer::setType | ( | video::E_INDEX_TYPE | IndexType | ) | `[pure virtual]`

Implemented in irr::scene::CIndexBuffer.

virtual void irr::scene::IIndexBuffer::setValue | ( | u32 | index,
|  | u32 | value
| ) |  | `[pure virtual]`

Implemented in irr::scene::CIndexBuffer.

virtual u32 irr::scene::IIndexBuffer::size | ( |  | ) | const`[pure virtual]`

Implemented in irr::scene::CIndexBuffer.

Referenced by irr::scene::CIndexBuffer::CIndexBuffer(), and irr::scene::IDynamicMeshBuffer::getIndexCount().

virtual u32 irr::scene::IIndexBuffer::stride | ( |  | ) | const`[pure virtual]`

Implemented in irr::scene::CIndexBuffer.

The documentation for this class was generated from the following file:

- IIndexBuffer.h